QGIS Application - Feature request #4996
Add a "remove overlapped areas" tool in the core digitizing toolbar
2012-02-13 05:00 AM - Giovanni Manghi

Status: Closed

Priority: Normal

Assignee:

Category: Digitising

Pull Request or Patch supplied: Resolution: wontfix
Easy fix?: No Copied to github as #: 14777
Description

At the moment if a user wants to remove all overlapped areas (or the overlapped areas of 2 or more selected features) there isn't an easy,
unless importing the vector in a GRASS mapset. Other known GIS software has more "human" ways to solve the problem. It is indeed a
situation very common in real life work, and so such tool would be greatly appreciated. Ideally the user could select the geometry which
border is to be used to "remove" the overlap(s). This is not the only approach, but it is similar to our "avoid intersection of new polygons"
option, so it may be somehow be reused.

History

#1 - 2012-10-06 02:18 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have
#2 - 2014-03-13 04:23 AM - Camillo Berti
| think that the creation of a tool to subtract overlapping features within the same layer could be very useful when you need to edit topologically adjacent

features with overlap errors. This would avoid to redesign the entire edge of the feature to be changed in order to snap it to the other one.

#3 - 2014-06-20 04:07 PM - Giovanni Manghi
- Resolution set to wonitfix

- Status changed from Open to Closed

| don't think that this is anymore strictly necessary: as GRASS tools (with parameters for snapping along the run) are now available in the Processing

toolbox then this issue is easily solved.
